Subject: Re: [PATCH net-next 06/13] route: move lwtunnel state to dst_entry

From: roopa <[email-masked]>
Date: Tue, 18 Aug 2015 23:51:44 -0700

On 8/18/15, 1:33 PM, Jiri Benc wrote:
> Currently, the lwtunnel state resides in per-protocol data. This is
> a problem if we encapsulate ipv6 traffic in an ipv4 tunnel (or vice versa).
> The xmit function of the tunnel does not know whether the packet has been
> routed to it by ipv4 or ipv6, yet it needs the lwtstate data. Moving the
> lwtstate data to dst_entry makes such inter-protocol tunneling possible.
>
> As a bonus, this brings a nice diffstat.
>
> Signed-off-by: Jiri Benc <[email-masked]>
>
Acked-by: Roopa Prabhu <[email-masked]>

great..! thanks for doing this. I was working on a similar patch.